package agent

import (
	"net/http"

	"xingfucha-server/app/main/api/internal/logic/agent"
	"xingfucha-server/app/main/api/internal/svc"
	"xingfucha-server/common/result"
)

func GetMembershipInfoHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		l := agent.NewGetMembershipInfoLogic(r.Context(), svcCtx)
		resp, err := l.GetMembershipInfo()
		result.HttpResult(r, w, resp, err)
	}
}
